<template>
    <div class="ui-details-card">
        <div class="ui-details-card__wrapper">
            <div class="ui-details-card__title">
                <div class="ui-details-card__title-text">{{title}}</div>
                <div class="ui-details-card__title-help-icon"
                     v-if="helpIcon"
                     @click="showHelpContent = !showHelpContent">
                    <ui-icon :fill="$theme.colors.label" view-box="0 0 20 20">hint-20</ui-icon>
                </div>
            </div>

            <ui-help-alert v-if="helpIcon && showHelpContent" @close="showHelpContent = !showHelpContent">
                <slot name="help"></slot>
            </ui-help-alert>

            <div class="ui-details-card__list" :class="{ expanded: expanded }">
                <div class="ui_details-card__list-items">
                    <div class="ui-details-card__list-items-item" v-for="(item, index) in list" :key="index">
                        <strong>{{item.sum}}</strong> {{item.title}}
                    </div>
                </div>
            </div>

            <div class="ui-details-card__expand" :class="{ expanded: expanded }" @click="expanded = !expanded">
                <span>{{expanded ? hideTitle : expandTitle}}</span>
                <ui-icon :fill="$theme.colors.blue" :rotate="expanded ? 180 : 0">collapse-20</ui-icon>
            </div>
        </div>

    </div>
</template>

<script>
    export default {
        name: 'ui-component-details-card',
        props: {
            title: {
                required: false,
                type: String,
                default: 'Детализация'
            },
            /**
             * @type [iUiCardDetailsList]
             */
            list: {
                required: true,
                type: Array,
            },
            expandTitle: {
                required: false,
                type: String,
                default: 'Развернуть'
            },
            hideTitle: {
                required: false,
                type: String,
                default: 'Свернуть'
            }
        },
        data () {
            return {
                expanded: false,
                showHelpContent: false,
            }
        },
        computed: {
            helpIcon () {
                return !!this.$slots.help
            }
        },
        methods: {

        }
    };
</script>

<style scoped>

</style>
